DROP FUNCTION IF EXISTS   "operator-xml" (BIGINT, TEXT, TEXT, TEXT) CASCADE;
DROP FUNCTION IF EXISTS   "network-xml" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "station-xml1" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "station-xml11" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   isyear(text)CASCADE;
DROP FUNCTION IF EXISTS   isjulianday(text) CASCADE;
DROP FUNCTION IF EXISTS   "reverse"(TEXT) CASCADE;
DROP FUNCTION IF EXISTS   "basename" (TEXT, VARCHAR(1))  CASCADE;
DROP FUNCTION IF EXISTS   random_string(length integer) CASCADE;
 DROP FUNCTION IF EXISTS    "distance_epicentrale_deg"(DOUBLE PRECISION, DOUBLE PRECISION, DOUBLE PRECISION, DOUBLE PRECISION) CASCADE;
DROP FUNCTION IF EXISTS   get_transaction_id (TEXT) CASCADE;
DROP FUNCTION IF EXISTS   get_geology_id (TEXT) CASCADE;
DROP FUNCTION IF EXISTS   get_vault_id (TEXT) CASCADE;
DROP FUNCTION IF EXISTS   get_station_id (TEXT,BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   get_station_id_text (TEXT,TEXT) CASCADE;
DROP FUNCTION IF EXISTS   get_network_id (TEXT,TIMESTAMP WITHOUT TIME ZONE) CASCADE;
 DROP FUNCTION IF EXISTS    "fullnet"(BIGINT) CASCADE;
 DROP FUNCTION IF EXISTS    "fullnet_with_year"(TEXT, TEXT) CASCADE;
DROP FUNCTION IF EXISTS   format_location (TEXT)  CASCADE;
 DROP FUNCTION IF EXISTS    sum_station(BIGINT) CASCADE;
 DROP FUNCTION IF EXISTS    sum_channel(BIGINT) CASCADE;
 DROP FUNCTION IF EXISTS    sum_comment(BIGINT, TEXT) CASCADE;
 DROP FUNCTION IF EXISTS    sum_identifier(BIGINT, TEXT) CASCADE;
 DROP FUNCTION IF EXISTS    sum_equipment(BIGINT, TEXT) CASCADE;
 DROP FUNCTION IF EXISTS    sum_operator(BIGINT, TEXT) CASCADE;
 DROP FUNCTION IF EXISTS    sum_reference(BIGINT, TEXT) CASCADE;
 DROP FUNCTION IF EXISTS    sum_type_channel(BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "latitude-xml" (BIGINT, TEXT) CASCADE;
DROP FUNCTION IF EXISTS   "distance-xml" (BIGINT, TEXT, TEXT) CASCADE;
DROP FUNCTION IF EXISTS   "longitude-xml" (BIGINT, TEXT) CASCADE;
DROP FUNCTION IF EXISTS   "elevation-xml" (BIGINT, TEXT) CASCADE;
DROP FUNCTION IF EXISTS   "depth-xml" (BIGINT, TEXT) CASCADE;
DROP FUNCTION IF EXISTS   "geology-xml" (INTEGER) CASCADE;
DROP FUNCTION IF EXISTS   "vault-xml" (INTEGER) CASCADE;
DROP FUNCTION IF EXISTS   "site-xml" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "comment-xml" (BIGINT, TEXT) CASCADE;
DROP FUNCTION IF EXISTS   "identifier-xml" (BIGINT, TEXT) CASCADE;
DROP FUNCTION IF EXISTS   "operator-xml" (BIGINT, TEXT) CASCADE;
DROP FUNCTION IF EXISTS   "reference-xml" (BIGINT, TEXT) CASCADE;
DROP FUNCTION IF EXISTS   "type_channel-xml" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "azimuth-xml" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "dip-xml" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "samplerate-xml" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "clockdrift-xml" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "equipment-xml" (BIGINT, TEXT) CASCADE;
DROP FUNCTION IF EXISTS   "sensitivity-xml" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "waterlevel-xml" (BIGINT, TEXT) CASCADE; CASCADE;
DROP FUNCTION IF EXISTS   "unit-calib-xml" (INTEGER) CASCADE;
DROP FUNCTION IF EXISTS   "network-txt" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "station-txt" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "channel-txt" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "network-xml" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "station-xml1" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "station-xml11" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "station-xml22" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "channel-xml1" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "matchtimeseries_channel" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "mtc_channel" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "mtc_station" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "mtc_network" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "matchtimeseries_station" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   "matchtimeseries_network" (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   set_channel_id_in_rbud (BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   station_clause() CASCADE;
DROP FUNCTION IF EXISTS   network_clause() CASCADE;
DROP FUNCTION IF EXISTS   location_clause() CASCADE;
DROP FUNCTION IF EXISTS   channel_clause() CASCADE;
DROP FUNCTION IF EXISTS   mtc_clause() CASCADE;
DROP FUNCTION IF EXISTS   updateafter_clause() CASCADE;
DROP FUNCTION IF EXISTS   include_restricted_clause() CASCADE;
DROP FUNCTION IF EXISTS   last_update_metadata(BIGINT) CASCADE;
DROP FUNCTION IF EXISTS   set_channel_id_in_file_table(bigint, bigint, text, text, timestamp without time zone, timestamp without time zone)  CASCADE;
DROP FUNCTION IF EXISTS   set_channel_id_for_data (TEXT, TEXT, text, text, timestamp without time zone, timestamp without time zone)  CASCADE;
DROP FUNCTION IF EXISTS   set_station_id_for_data (TEXT, TEXT, timestamp without time zone, timestamp without time zone)  CASCADE;
DROP FUNCTION IF EXISTS   set_network_id_for_data (TEXT, TEXT, timestamp without time zone, timestamp without time zone)  CASCADE;
DROP FUNCTION IF EXISTS   set_channel_id(text, text, text, text, timestamp without time zone, timestamp without time zone)  CASCADE;
DROP FUNCTION IF EXISTS   set_channel_id_in_rbud(text, text, text, text, timestamp without time zone, timestamp without time zone)  CASCADE;
DROP FUNCTION IF EXISTS   set_channel_id(text, text, text, text, timestamp without time zone, timestamp without time zone)  CASCADE;
DROP FUNCTION IF EXISTS   set_network_id(text, timestamp without time zone) CASCADE;
DROP FUNCTION IF EXISTS   set_network_id_in_rbud(text, timestamp without time zone) CASCADE;
DROP FUNCTION IF EXISTS   set_station_id (BIGINT, text, timestamp without time zone) CASCADE;
DROP FUNCTION IF EXISTS   set_station_id_in_rbud (text, text, timestamp without time zone, timestamp without time zone)  CASCADE;
